Bug 522747 - Review Request: skrooge - Personal finances manager
Summary: Review Request: skrooge - Personal finances manager
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Boeckel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 10:01 UTC by Thomas Janssen
Modified: 2009-09-24 16:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 16:36:18 UTC
mathstuf: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2009-09-11 10:01:59 UTC
Spec URL: http://thomasj.fedorapeople.org/skrooge.spec
SRPM URL: http://thomasj.fedorapeople.org/skrooge-0.5.0-1.fc10.src.rpm
Description:
Skrooge is a personal finances manager,
aiming at being simple and intuitive.
It allows you to keep track of your expenses and incomes,
categorize them, and build reports of them.

This is my first package and i need an sponsor.

Comment 1 Ben Boeckel 2009-09-11 13:50:16 UTC
[OK] MUST: rpmlint must be run on every package. The output should be posted in
the review.

% rpmlint skrooge-*.rpm
skrooge-debuginfo.x86_64: E: debuginfo-without-sources
skrooge-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libskgbasemodeler.so.0.5.0 exit@GLIBC_2.2.5
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

From IRC, the exit was discussed with upstream. Link to bug report or something else so the issue can be tracked?

[OK] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.
[XX] MUST: The License field in the package spec file must match the actual
license.

License is GPLv2+ from the headers of the source files.

[OK] MUST: The package must meet the  Packaging Guidelines . 
[OK] MUST: The package must be licensed with a Fedora approved license and meet
the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual
license.
[OK] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary
rpms on at least one primary architecture.

NOTE: When you update the spec file, please rebuild the SRPM and bump the release. This helps reviewers know when the file was updated.

[OK] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using
the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is
strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec
file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every <code>%files</code> section
must include a <code>%defattr(...)</code> line.
[XX] MUST: Each package must have a&nbsp;%clean section, which contains
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).

This is missing.

[XX] MUST: Each package must consistently use macros.

$RPM_BUILD_ROOT in %install, macro when removing extra .so files. Please use one or the other. Also change the one %{_libdir} to %{_kde4_libdir} and %{_kde4_docdir} instead of %{_kde4_sharedir}/doc.

[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the
runtime of the application. To summarize: If it is in&nbsp;%doc, the program
must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix
(e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must
go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: <code>Requires:&nbsp;%{name}
=&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
[XX] MUST: Packages containing GUI applications must include
a&nbsp;%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the&nbsp;%install section. If you feel that your
packaged GUI application does not need a .desktop file, you must put a comment
in the spec file with your explanation.

Please run desktop-file-validate on the skrooge.desktop file.

[OK] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the <code>filesystem</code> or
<code>man</code> package. If you feel that you have a good reason to own a file
or directory that another package owns, then please present that at package
review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run
<code>rm -rf&nbsp;%{buildroot}</code> (<a
href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags"
title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to include it.
[OK] SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all
supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described.
A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase,
and this is usually for development purposes, so should be placed in a -devel
pkg.  A reasonable exception is that the main pkg itself is a devel tool not
installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

There are also %post and %postun scriptlets for the gnome-icon-cache. These are missing.

%post:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

Comment 2 Thomas Janssen 2009-09-13 12:35:00 UTC
First of all, thank you!

New spec and srpm uploaded:
Spec Url: http://thomasj.fedorapeople.org/skrooge.spec
SRPM Url: http://thomasj.fedorapeople.org/skrooge-0.5.0-2.fc10.src.rpm

[thomas@tusdell SPECS]$ rpmlint ../RPMS/x86_64/skrooge*-0.5.0-1.fc10.x86_64.rpm
skrooge-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libskgbasemodeler.so.0.5.0 exit@GLIBC_2.2.5
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Bug is filed: https://bugs.kde.org/show_bug.cgi?id=207246

The debuginfo-without-sources is right now workaround'd with:
sed -i 's,SET(CMAKE_CXX_FLAGS "-Wall" ),SET(CMAKE_CXX_FLAGS "-Wall ${CMAKE_CXX_FLAGS}"),g' CMakeLists.txt

Bug is filed: https://bugs.kde.org/show_bug.cgi?id=207249

[thomas@tusdell SRPMS]$ koji build --scratch dist-f12 skrooge-0.5.0-2.fc10.src.rpm
Uploading srpm: skrooge-0.5.0-2.fc10.src.rpm
[====================================] 100% 00:03:40   4.27 MiB  19.85 KiB/sec
Created task: 1674792
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1674792
Watching tasks (this may be safely interrupted)...
1674792 build (dist-f12, skrooge-0.5.0-2.fc10.src.rpm): open (x86-4.fedora.phx.redhat.com)
  1674796 buildArch (skrooge-0.5.0-2.fc10.src.rpm, i686): free
  1674793 buildArch (skrooge-0.5.0-2.fc10.src.rpm, ppc): open (ppc4.fedora.phx.redhat.com)
  1674795 buildArch (skrooge-0.5.0-2.fc10.src.rpm, ppc64): open (ppc5.fedora.phx.redhat.com)
  1674794 buildArch (skrooge-0.5.0-2.fc10.src.rpm, x86_64): open (x86-2.fedora.phx.redhat.com)
  1674796 buildArch (skrooge-0.5.0-2.fc10.src.rpm, i686): free -> open (xenbuilder4.fedora.phx.redhat.com)
  1674794 buildArch (skrooge-0.5.0-2.fc10.src.rpm, x86_64): open (x86-2.fedora.phx.redhat.com) -> closed
  0 free  4 open  1 done  0 failed
  1674796 buildArch (skrooge-0.5.0-2.fc10.src.rpm, i686): open (xenbuilder4.fedora.phx.redhat.com) -> closed
  0 free  3 open  2 done  0 failed
  1674793 buildArch (skrooge-0.5.0-2.fc10.src.rpm, ppc): open (ppc4.fedora.phx.redhat.com) -> closed
  0 free  2 open  3 done  0 failed
  1674795 buildArch (skrooge-0.5.0-2.fc10.src.rpm, ppc64): open (ppc5.fedora.phx.redhat.com) -> closed
  0 free  1 open  4 done  0 failed
1674792 build (dist-f12, skrooge-0.5.0-2.fc10.src.rpm): open (x86-4.fedora.phx.redhat.com) -> closed
  0 free  0 open  5 done  0 failed

1674792 build (dist-f12, skrooge-0.5.0-2.fc10.src.rpm) completed successfully


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Thomas Janssen 2009-09-15 17:25:48 UTC
Changed the version to 0.5.1beta from a svn checkout.

New spec and SRPM uploaded.

Spec Url: http://thomasj.fedorapeople.org/skrooge.spec
SRPM Url: http://thomasj.fedorapeople.org/skrooge-0.5.1-beta1.fc10.src.rpm

[thomas@tusdell SPECS]$ rpmlint skrooge.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint ../RPMS/x86_64/skrooge*-0.5.1-beta1.fc10.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint ../SRPMS/skrooge-0.5.1-beta1.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[thomas@tusdell SPECS]$ koji build --scratch dist-f12 ../SRPMS/skrooge-0.5.1-beta1.fc10.src.rpm
Uploading srpm: ../SRPMS/skrooge-0.5.1-beta1.fc10.src.rpm
[====================================] 100% 00:02:48   5.40 MiB  32.93 KiB/sec
Created task: 1680960
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1680960
Watching tasks (this may be safely interrupted)...
1680960 build (dist-f12, skrooge-0.5.1-beta1.fc10.src.rpm): open (x86-7.fedora.phx.redhat.com)
  1680961 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc): free
  1680964 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, i686): free
  1680963 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc64): free
  1680962 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, x86_64): free
  1680962 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, x86_64): free -> open (x86-7.fedora.phx.redhat.com)
  1680964 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, i686): free -> open (x86-6.fedora.phx.redhat.com)
  1680961 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc): free -> open (ppc9.fedora.phx.redhat.com)
  1680963 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc64): free -> open (ppc5.fedora.phx.redhat.com)
  1680962 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, x86_64): open (x86-7.fedora.phx.redhat.com) -> closed
  0 free  4 open  1 done  0 failed
  1680964 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, i686): open (x86-6.fedora.phx.redhat.com) -> closed
  0 free  3 open  2 done  0 failed
  1680963 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc64): open (ppc5.fedora.phx.redhat.com) -> closed
  0 free  2 open  3 done  0 failed
  1680961 buildArch (skrooge-0.5.1-beta1.fc10.src.rpm, ppc): open (ppc9.fedora.phx.redhat.com) -> closed
  0 free  1 open  4 done  0 failed
1680960 build (dist-f12, skrooge-0.5.1-beta1.fc10.src.rpm): open (x86-7.fedora.phx.redhat.com) -> closed
  0 free  0 open  5 done  0 failed

1680960 build (dist-f12, skrooge-0.5.1-beta1.fc10.src.rpm) completed successfully


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Thomas Janssen 2009-09-16 11:11:55 UTC
Cleaned up desktop files. Got rid of Encoding= entrys.

New spec and SRPM uploaded.

Spec Url: http://thomasj.fedorapeople.org/skrooge.spec
SRPM Url: http://thomasj.fedorapeople.org/skrooge-0.5.1-beta2.fc10.src.rpm

[thomas@tusdell SPECS]$ rpmlint skrooge.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint ../SRPMS/skrooge-0.5.1-beta2.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint ../RPMS/x86_64/skrooge*-0.5.1-beta2.fc10.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

[thomas@tusdell SPECS]$ koji build --scratch dist-f12 ../SRPMS/skrooge-0.5.1-beta2.fc10.src.rpm
Uploading srpm: ../SRPMS/skrooge-0.5.1-beta2.fc10.src.rpm
[====================================] 100% 00:03:31   5.40 MiB  26.21 KiB/sec
Created task: 1682511
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1682511
Watching tasks (this may be safely interrupted)...
1682511 build (dist-f12, skrooge-0.5.1-beta2.fc10.src.rpm): open (x86-3.fedora.phx.redhat.com)
  1682515 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, i686): open (x86-4.fedora.phx.redhat.com)
  1682512 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, ppc): open (ppc5.fedora.phx.redhat.com)
  1682514 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, ppc64): free
  1682513 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, x86_64): open (x86-6.fedora.phx.redhat.com)
  1682514 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, ppc64): free -> open (ppc2.fedora.redhat.com)
  1682515 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, i686): open (x86-4.fedora.phx.redhat.com) -> closed
  0 free  4 open  1 done  0 failed
  1682513 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, x86_64): open (x86-6.fedora.phx.redhat.com) -> closed
  0 free  3 open  2 done  0 failed
  1682512 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, ppc): open (ppc5.fedora.phx.redhat.com) -> closed
  0 free  2 open  3 done  0 failed
  1682514 buildArch (skrooge-0.5.1-beta2.fc10.src.rpm, ppc64): open (ppc2.fedora.redhat.com) -> closed
  0 free  1 open  4 done  0 failed
1682511 build (dist-f12, skrooge-0.5.1-beta2.fc10.src.rpm): open (x86-3.fedora.phx.redhat.com) -> closed
  0 free  0 open  5 done  0 failed

1682511 build (dist-f12, skrooge-0.5.1-beta2.fc10.src.rpm) completed successfully

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Thomas Janssen 2009-09-17 15:08:56 UTC
Spec file changes:

sed trickery removed.
desktop-file-validate less verbose.
Version corrected.
Changed to %{_kde4_iconsdir} and %{_kde4_appsdir}

New spec and SRPM uploaded:
Spec Url: http://thomasj.fedorapeople.org/skrooge.spec
SRPM Url: http://thomasj.fedorapeople.org/skrooge-0.5.1-0.3.beta.fc10.src.rpm

[thomas@tusdell SPECS]$ rpmlint ../SRPMS/skrooge-0.5.1-0.3.beta.fc10.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint skrooge.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[thomas@tusdell SPECS]$ rpmlint ../RPMS/x86_64/skrooge*-0.5.1-0.3.beta.fc10.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=1686251

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Ben Boeckel 2009-09-17 15:20:10 UTC
Looks good. Approved.

Comment 7 Rex Dieter 2009-09-17 17:12:57 UTC
I'll sponsor Thomas.

Comment 8 Thomas Janssen 2009-09-17 17:50:58 UTC
New Package CVS Request
=======================
Package Name: skrooge
Short Description: 
Skrooge is a personal finances manager, aiming at being simple and intuitive.
Owners: thomasj
Branches: F-10, F-11, F-12
InitialCC: 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Kevin Fenzi 2009-09-17 19:10:11 UTC
Email address thomaj@fedoraproject.org is not a valid bugzilla email address.  Either make a bugzilla account with that email address or change your email address in the Fedora Account System https://admin.fedoraproject.org/accounts/ to a valid bugzilla email address and try again.

Please correct and reset the fedora-cvs flag. ;)

Comment 10 Kevin Fenzi 2009-09-17 20:00:19 UTC
we got this fixed up on IRC. 

cvs done.

Comment 11 Rex Dieter 2009-09-24 16:36:18 UTC
This is built and in the repos, I think we can close this now.


Note You need to log in before you can comment on or make changes to this bug.